<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.inra.ecoinfo</groupId>
		<artifactId>si_pro</artifactId>
		<version>1904-SNAPSHOT</version>
		<relativePath>..</relativePath>
	</parent>


	<artifactId>pro-core-services-api</artifactId>
         <version>1904-SNAPSHOT</version>
	<name>pro-core-services-api</name>
	<packaging>jar</packaging>
	<description>this module is a description of an implémentation of commons functionalities of core of pro Soere application</description>
	<properties>
        <stagingDirectory>../target/site</stagingDirectory>
	</properties>



    <build>
        <resources>
            <resource>
                <targetPath>./META-INF</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp</directory>
                <includes>
                    <include>resources/**</include>
                    <include>templates/**</include>
                </includes>
            </resource>
            <resource>
                <targetPath>./META-INF/resources</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp</directory>
                <includes>
                    <include>*.xhtml</include>
                    <include>**/*.xhtml</include>
                </includes>
            </resource>

            <resource>
                <targetPath>./META-INF</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/webapp/WEB-INF</directory>
                <includes>
                    <include>faces-config.xml</include>
                </includes>
            </resource>

            <resource>
                <targetPath>.</targetPath>
                <filtering>true</filtering>
                <directory>${basedir}/src/main/resources</directory>
            </resource>
        </resources>
        <plugins>


            <!-- build avec ant -->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-surefire-plugin</artifactId>
                <version>${surefire.version}</version>
                <!--version>2.16</version -->
                <configuration>
                    <systemPropertyVariables>
                        <lib>${project.build.testOutputDirectory}/WEB-INF/lib</lib>
                    </systemPropertyVariables>
                    <testFailureIgnore>false</testFailureIgnore>
                </configuration>
                <dependencies>
                    <dependency>
                        <groupId>org.apache.maven.surefire</groupId>
                        <artifactId>surefire-junit47</artifactId>
                        <version>${surefire.version}</version>
                        <!--version>2.16</version -->
                    </dependency>

                </dependencies>
            </plugin>

<!--                <plugin>
                       <groupId>org.apache.maven.plugins</groupId>
                       <artifactId>maven-compiler-plugin</artifactId>
                       <version>3.3</version>
                       <configuration>
                       <source>1.8</source>
                       <target>1.8</target>
                       </configuration>
                </plugin>-->
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-source-plugin</artifactId>
                <version>2.2.1</version>
                <executions>
                    <execution>
                        <id>test-jar</id>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>log4j**</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                    <execution>
                        <id>attach-sources</id>
                        <goals>
                            <goal>jar-no-fork</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <version>2.4</version>
                <executions>
                    <execution>
                        <id>test-jar</id>
                        <goals>
                            <goal>test-jar</goal>
                        </goals>
                        <configuration>
                            <excludes>
                                <exclude>META-INF/**</exclude>
                                <exclude>log4j**</exclude>
                            </excludes>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
<!--    <dependencies>
        <dependency>
            <groupId>org.inra.ecoinfo</groupId>
            <artifactId>pro-core-services-api</artifactId>
            <version>1606.04-SNAPSHOT</version>
            <type>jar</type>
        </dependency>
    </dependencies>-->
</project>